View Issue Details

IDProjectCategoryView StatusLast Update
0001977SymmetricDSBugpublic2014-09-30 10:18
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.6.8 
Target Version3.6.9Fixed in Version3.6.9 
Summary0001977: The bean shell router swallows errors and does not route the data
DescriptionThe bean shell router swallows errors and does not route the data. It should rethrow errors so routing is retried at a future time.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 23dd95ec

2014-09-18 13:15:12

chenson

Details Diff
0001977: The bean shell router swallows errors and does not route the data
0001977
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/BshDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapRouteReader.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DelayRoutingException.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File

Issue History

Date Modified Username Field Change
2014-09-18 12:59 chenson New Issue
2014-09-18 12:59 chenson Status new => assigned
2014-09-18 12:59 chenson Assigned To => chenson
2014-09-18 13:15 chenson Status assigned => resolved
2014-09-18 13:15 chenson Fixed in Version => 3.6.9
2014-09-18 13:15 chenson Resolution open => fixed
2014-09-18 14:00 chenson Changeset attached => SymmetricDS 3.6 r8718
2014-09-18 14:00 chenson Changeset attached => SymmetricDS trunk r8719
2014-09-30 10:18 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 23dd95ec